%global upstream_version 42
%define debug_package %{nil}

Name:          diffoscope
Version:       %{upstream_version}
Release:       1.reproducible0%{?dist}
Summary:       In-depth comparison of files, archives, and directories
License:       BSD
URL:           https://diffoscope.org/
Source0:       https://pypi.python.org/packages/source/d/%{name}/%{name}-%{upstream_version}.tar.gz
BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-magic
BuildRequires: python3-libguestfs
BuildRequires: python3-libguestfs
BuildRequires: python3-libarchive-c
BuildRequires: python3-docutils
Requires:      python3-magic

%description
diffoscope will try to get to the bottom of what makes files or directories
different. It will recursively unpack archives of many kinds and transform
various binary formats into more human readable form to compare them. It can
compare two tarballs, ISO images, or PDF just as easily. The differences can
be shown in a text or HTML report.

diffoscope is developed as part of the "reproducible builds" Debian project and
was formerly known as "debbindiff".

%prep
%autosetup -n %{name}-%{upstream_version}
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install
%{_fixperms} %{buildroot}
echo %{buildroot}%{python3_sitelib}
for item in $(find %{buildroot}%{python3_sitelib} -name 'requires.txt'); do cat /dev/null > $item; done

# %check

%files
%doc README.rst
%license COPYING
%{python3_sitelib}/diffoscope*
/usr/bin/diffoscope

%changelog
* Sat Dec 05 2015 Dhiru Kholia <dhiru@openwall.com> - 42-1
- initial version
